/*
 WIDGET.C

 License CC0 PUBLIC DOMAIN

 To the extent possible under law, Mark J. Olesen has waived all copyright 
 and related or neighboring rights to FDOSTUI Library. This work is published 
 from: United States.
*/
#include "widget.hpp"

widget::widget(
    int const                           i_pos_x,
    int const                           i_pos_y,
    unsigned int const                  i_len_x,
    unsigned int const                  i_len_y) :
    m_flags(widget::ENABLED|widget::VISIBLE|widget::CAN_FOCUS),
    m_damage(0),
    m_box(),
    m_parent(0),
    m_user_data(0)
{

    m_box.m_pos_x= i_pos_x;
    m_box.m_pos_y= i_pos_y;
    m_box.m_len_x= i_len_x;
    m_box.m_len_y= i_len_y;

    return;
}

widget::~widget()
{
    return;
}
