/*
 BLOCK.H

 License CC0 PUBLIC DOMAIN

 To the extent possible under law, Mark J. Olesen has waived all copyright 
 and related or neighboring rights to FDOSTUI Library. This work is published 
 from: United States.
*/
#ifndef __block_h__

#include "box.h"

#ifdef __cplusplus
extern "C" {
#endif

extern short int far*
block_read(
    struct box const*const              i_box);

extern void
block_write(
    short int const far*                i_block,
    struct box const*const              i_box);

#ifdef __cplusplus
}
#endif

#define __block_h__
#endif
